import { createServer } from './server';
import { addDefaultRoutes, addInitRoutes } from './routes';
import * as config from './config';

const server = createServer({
  logger: process.env.NODE_ENV !== 'test',
});

addDefaultRoutes(server);
addInitRoutes(server);

server.listen({ port: config.meta.port, host: config.meta.host }, (err) => {
  if (err) {
    server.log.error(err.message);
    process.exit(1);
  }
});
